const express = require("express");
const router = express.Router();
const NFTRequest = require("./../../model/stellar/nftRequests");

router.get("/:practitionerKey", async (req, res) => {
  const practitionerKey = req.params.practitionerKey;

  try {
    const nftData = await NFTRequest.find({
      requesterpk: practitionerKey,
    });
    res.status(200).json({
      data: nftData,
    });
    console.log("/sentnft - Getting sent NFTs completed");
  } catch (errorWhenGettingThePatients) {
    console.log(
      "Getting sent NFTs failed: ERROR : ",
      errorWhenGettingThePatients
    );
    console.log("/sentnft - Getting sent NFTs failed");
    res.status(500).json({
      error: "Getting sent NFTs failed: ERROR : ",
      errorWhenGettingThePatients,
    });
  }
});

module.exports = router;
