const express = require("express");
const router = express.Router();
const Practitioner = require("./../../model/practitioner/practitioner");
const DecryptWithServerKey = require("./../../services/decryptionservice");
const bcrypt = require("bcrypt");

router.post("/", async (req, res) => {
  const { username, password } = req.body;

  const decryptedUsername = DecryptWithServerKey(username);

  try {
    const practitionerResponse = await Practitioner.findOne({
      username: decryptedUsername,
    });

    if (practitionerResponse == null) {
      console.log("Invalid");
      res.status(401).json({
        message: "Invalid",
      });
      console.log("/practitioner/login - Invalid username");
    } else {
      if (practitionerResponse.password === password) {
        console.log("Success");
        res.status(200).json({
          message: "Success",
          data: practitionerResponse,
        });
        console.log("/practitioner/login - login success");
      } else {
        console.log("Invalid");
        res.status(500).json({
          message: "Invalid",
        });
        console.log("/practitioner/login - Invalid username or password");
      }
    }
  } catch (errorWhenGettingPractitionerDetails) {
    console.log("Internal server error");
    res.status(500).json({
      message: "Invalid",
    });
    console.log("/practitioner/login - Internal server error");
  }
});

module.exports = router;
