import CryptoJS from "react-native-crypto-js";
import { useEffect } from "react";
import { AES_KEY } from "../env";

function DecryptWithServerKey(encryptedTxt) {
  const key = CryptoJS.enc.Utf8.parse(AES_KEY);
  const options = {
    mode: CryptoJS.mode.CBC,
    padding: CryptoJS.pad.Pkcs7,
    iv: CryptoJS.enc.Utf8.parse(AES_KEY),
  };

  const decryptedBytes = CryptoJS.AES.decrypt(encryptedTxt, key, options);

  const decryptedTxt = decryptedBytes.toString(CryptoJS.enc.Utf8);
  return decryptedTxt;
}

export default DecryptWithServerKey;
